/*
 *****************************************************************************
 *                                                                           *
 *  UNIVERSITY OF LOWELL Motif/C++ Binding				     *	
 *                                                                           *
 *  COPYRIGHT (c) 1990 BY  UNIVERSITY OF LOWELL, DEPARTMENT OF COMPUTER      *
 *  SCIENCE, LOWELL, MA 01854                                                *
 *                                                                           *
 *  LICENSED MATERIAL - PROGRAM PROPERTY OF UNIVERSITY OF LOWELL. ALL RIGHTS *
 *  RESERVED.                                                                *
 *                                                                           *
 *  THIS SOFTWARE IS FURNISHED UNDER A LICENSE AND MAY BE USED AND COPIED    *
 *  ONLY  IN  ACCORDANCE  WITH  THE TERMS OF  SUCH  LICENSE  AND WITH THE    *
 *  INCLUSION OF THE  ABOVE COPYRIGHT NOTICE.  THIS SOFTWARE OR ANY OTHER    *
 *  COPIES THEREOF MAY NOT BE PROVIDED OR OTHERWISE MADE AVAILABLE TO ANY    *
 *  OTHER PERSON.  NO TITLE TO  OR OWNERSHIP OF  THE  SOFTWARE  IS HEREBY    *
 *  TRANSFERRED.                                                             *
 *                                                                           *
 *  THE INFORMATION IN THIS SOFTWARE IS  SUBJECT TO CHANGE WITHOUT NOTICE    *
 *  AND  SHOULD  NOT BE CONSTRUED AS A COMMITMENT BY UNIVERSITY OF LOWELL    *
 *                                                                           *
 *****************************************************************************
 *                                                                           *
 * File Name      :                                                          *
 * Author         :                                                          *
 * Created        :                                                          *
 * Description    :                                                          *
 *                                                                           *
 *                                                                           *
 *                                                                           *
 *                                                                           *
 *                                                                           *
 * Edit History   :                                                          *
 * date         who                     what                                 *
 *                                                                           *
 *****************************************************************************
 */
/*
//-----------------------------------------------------------------------------
//
// $Source: /usr/proj/grl/motifplb/design_review_1_efforts/lib_1/XMCascadeB.hh,v $
// $Revision: 1.5 $
// $State: Exp $
// $Author: bmontagu $
// $Date: 89/11/27 15:15:43 $
// $Locker:  $
//
// $Log:	XMCascadeB.hh,v $
Revision 1.5  89/11/27  15:15:43  bmontagu
testing

Revision 1.4  89/11/27  11:53:10  grlcr
1st pass

Revision 1.3  89/11/07  13:15:10  grlcr
*** empty log message ***

Revision 1.2  89/11/03  10:39:46  motifplb
*** empty log message ***

Revision 1.1  89/11/02  12:10:02  motifplb
Initial revision

// ***** Created Oct 11, 1989 by BRM *****
// ***** grlcr : add get routines and remove some set routines *****
//-----------------------------------------------------------------------------
*/

#ifndef XMCascadeB_hh
#define XMCascadeB_hh

#include "XMLabel.hh"
#include <Xm/CascadeB.h>

class XMCascadeButton : public XMLabel {
 protected :
     // ****CONSTRUCTORS**** 
     XMCascadeButton ();

 public :
     // ****CONSTRUCTORS**** 
     XMCascadeButton (XMObject*, String,Boolean managed=True);

     // ****DESTRUCTOR****
     ~XMCascadeButton ();

     // ****METHODS TO SET THE CascadeButton RESOURCES****
     void set_cascadePixmap            (Pixmap);
     void set_mappingDelay             (int);
     void set_subMenuId                (XMObject*);
     void set_entry_activateCallback   (XtCallbackProc, caddr_t);
     void set_entry_cascadingCallback  (XtCallbackProc, caddr_t);

     // ****METHODS TO GET THE CascadeButton RESOURCES****
     void get_cascadePixmap            (Pixmap*);
     void get_mappingDelay             (int*);
     void get_subMenuId                (XMObject*);

     // ****COVER FUNCTION METHODS**** 
     void Highlight (Boolean);   
};

#endif     // XMCascadeB_hh

// dont add stuff after this endif
