/*
 *****************************************************************************
 *                                                                           *
 *  UNIVERSITY OF LOWELL Motif/C++ Binding				     *	
 *                                                                           *
 *  COPYRIGHT (c) 1990 BY  UNIVERSITY OF LOWELL, DEPARTMENT OF COMPUTER      *
 *  SCIENCE, LOWELL, MA 01854                                                *
 *                                                                           *
 *  LICENSED MATERIAL - PROGRAM PROPERTY OF UNIVERSITY OF LOWELL. ALL RIGHTS *
 *  RESERVED.                                                                *
 *                                                                           *
 *  THIS SOFTWARE IS FURNISHED UNDER A LICENSE AND MAY BE USED AND COPIED    *
 *  ONLY  IN  ACCORDANCE  WITH  THE TERMS OF  SUCH  LICENSE  AND WITH THE    *
 *  INCLUSION OF THE  ABOVE COPYRIGHT NOTICE.  THIS SOFTWARE OR ANY OTHER    *
 *  COPIES THEREOF MAY NOT BE PROVIDED OR OTHERWISE MADE AVAILABLE TO ANY    *
 *  OTHER PERSON.  NO TITLE TO  OR OWNERSHIP OF  THE  SOFTWARE  IS HEREBY    *
 *  TRANSFERRED.                                                             *
 *                                                                           *
 *  THE INFORMATION IN THIS SOFTWARE IS  SUBJECT TO CHANGE WITHOUT NOTICE    *
 *  AND  SHOULD  NOT BE CONSTRUED AS A COMMITMENT BY UNIVERSITY OF LOWELL    *
 *                                                                           *
 *****************************************************************************
 *                                                                           *
 * File Name      :                                                          *
 * Author         :                                                          *
 * Created        :                                                          *
 * Description    :                                                          *
 *                                                                           *
 *                                                                           *
 *                                                                           *
 *                                                                           *
 *                                                                           *
 * Edit History   :                                                          *
 * date         who                     what                                 *
 *                                                                           *
 *****************************************************************************
 */
/*
//-----------------------------------------------------------------------------
//
// $Source: /usr/proj/grl/motifplb/design_review_1_efforts/lib_1/XMScrollBar.hh,v $
// $Revision: 1.5 $
// $State: Exp $
// $Author: bmontagu $
// $Date: 89/11/27 15:51:57 $
// $Locker:  $
//
// $Log:	XMScrollBar.hh,v $
Revision 1.5  89/11/27  15:51:57  bmontagu
test

Revision 1.4  89/11/27  11:55:46  grlcr
1st pass

Revision 1.3  89/11/03  09:38:21  grlcr
*** empty log message ***

Revision 1.2  89/11/02  15:12:42  grlcr
Added private dummy constructor

Revision 1.1  89/11/02  12:37:19  motifplb
Initial revision

// ***** Created Oct 11, 1989 by BRM *****
//-----------------------------------------------------------------------------
*/

#ifndef XMScrollBar_hh
#define XMScrollBar_hh

#include "XMPrimitive.hh"
#include <Xm/ScrollBar.h>

class XMScrollBar : public XMPrimitive {
 private :
     XMScrollBar ();

 public :
     // ****CONSTRUCTORS**** 
     XMScrollBar (XMObject*, String,Boolean managed=True);

     // ****DESTRUCTOR****
     ~XMScrollBar ();

     // ****METHODS TO SET THE ScrollBar RESOURCES****
     void set_increment                   (int);
     void set_initialDelay                (int);
     void set_maximum                     (int);
     void set_minimum                     (int);
     void set_orientation                 (u_char);
     void set_pageIncrement               (int);
     void set_processingDirection         (u_char);
     void set_repeatDelay                 (int);
     void set_showArrows                  (Boolean);
     void set_sliderSize                  (int);
     void set_value                       (int);
     void set_entry_valueChangedCallback  (XtCallbackProc, caddr_t);
     void set_entry_decrementCallback     (XtCallbackProc, caddr_t);
     void set_entry_dragCallback          (XtCallbackProc, caddr_t);
     void set_entry_incrementCallback     (XtCallbackProc, caddr_t);
     void set_entry_pageDecrementCallback (XtCallbackProc, caddr_t);
     void set_entry_pageIncrementCallback (XtCallbackProc, caddr_t);
     void set_entry_toBottomCallback      (XtCallbackProc, caddr_t);
     void set_entry_toTopCallback         (XtCallbackProc, caddr_t);

     // ****METHODS TO GET THE ScrollBar RESOURCES****
     void get_increment           (int*);
     void get_initialDelay        (int*);
     void get_maximum             (int*);
     void get_minimum             (int*);
     void get_orientation         (u_char*);
     void get_pageIncrement       (int*);
     void get_processingDirection (u_char*);
     void get_repeatDelay         (int*);
     void get_showArrows          (Boolean*);
     void get_sliderSize          (int*);
     void get_value               (int*);

     // ****COVER FUNCTION METHODS**** 
     void GetValues               (int*, int*, int*, int*);
     void SetValues               (int, int, int, int, Boolean);
};

#endif     // XMScrollBar_hh

// dont add stuff after this endif

